org.eclipse.graphiti.features.context

## Interface ILocationContext

All Superinterfaces:
  IContext, IPropertyBag

All Known Subinterfaces:
  IAddBendpointContext, IAddConnectionContext, IAddContext, IAreaContext, ICreateContext, ICustomContext, IDoubleClickContext, IMoveAnchorContext, IMoveBendpointContext, IMoveConnectionDecoratorContext, IMoveContext, IMoveShapeContext, IPasteContext, IResizeContext, IResizeShapeContext, ISingleClickContext

All Known Implementing Classes:
  AbstractClickContext, AddBendpointContext, AddConnectionContext, AddContext, AreaAnchorContext, AreaContext, CreateContext, CustomContext, DoubleClickContext, LocationContext, MoveBendpointContext, MoveConnectionDecoratorContext, MoveContext, MoveShapeContext, PasteContext, ResizeContext, ResizeShapeContext, SingleClickContext

    public interface ILocationContext
    extends IContext

The Interface ILocationContext.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getX()` Gets the x.
`int` `getY()` Gets the y.

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Method Detail

#### getX

    int getX()

Gets the x.

Returns:
  the x position

#### getY

    int getY()

Gets the y.

Returns:
  the y position